    <div class="table-responsive pos-cart-table border">
        <table class="table table-align-middle mb-0">
            <thead class="text-dark bg-light">
                <tr>
                    <th class="text-capitalize border-0 min-w-120"><?php echo e(translate('item')); ?></th>
                    <th class="text-capitalize border-0"><?php echo e(translate('qty')); ?></th>
                    <th class="text-capitalize border-0"><?php echo e(translate('price')); ?></th>
                    <th class="text-capitalize border-0"><?php echo e(translate('delete')); ?></th>
                </tr>
            </thead>
            <tbody>
            <?php
                $subtotal = 0;
                $addon_price = 0;
                $discount = 0;
                $discount_type = 'amount';
                $discount_on_product = 0;
                $total_tax = 0;
            ?>
            <?php if(session()->has('cart') && count( session()->get('cart')) > 0): ?>
                <?php
                    $cart = session()->get('cart');
                    if(isset($cart['discount']))
                    {
                        $discount = $cart['discount'];
                        $discount_type = $cart['discount_type'];
                    }
                ?>
                <?php $__currentLoopData = session()->get('cart'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $cartItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if(is_array($cartItem)): ?>
                    <?php
                    $product_subtotal = ($cartItem['price'])*$cartItem['quantity'];
                    $discount_on_product += ($cartItem['discount']*$cartItem['quantity']);
                    $subtotal += $product_subtotal;
                    $addon_price += $cartItem['addon_price'];

                    //tax calculation
                    $product = \App\Model\Product::find($cartItem['id']);
                    $total_tax += \App\CentralLogics\Helpers::tax_calculate($product, $cartItem['price'])*$cartItem['quantity'];

                    ?>
                    <tr>
                        <td>
                            <div class="media align-items-center gap-10">
                                <img class="avatar avatar-sm" src="<?php echo e(asset('storage/app/public/product')); ?>/<?php echo e($cartItem['image']); ?>"
                                        onerror="this.src='<?php echo e(asset('public/assets/admin/img/160x160/img2.jpg')); ?>'" alt="<?php echo e($cartItem['name']); ?> image">
                                <div class="media-body">
                                    <h5 class="text-hover-primary mb-0"><?php echo e(Str::limit($cartItem['name'], 10)); ?></h5>
                                    <small><?php echo e(Str::limit($cartItem['variant'], 20)); ?></small>
                                    <small class="d-block">
                                        <?php ($add_on_qtys=$cartItem['add_on_qtys']); ?>
                                        <?php $__currentLoopData = $cartItem['add_ons']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2 =>$id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php ($addon=\App\Model\AddOn::find($id)); ?>
                                            <?php if($key2==0): ?><strong><u>Addons : </u></strong><?php endif; ?>

                                            <?php if($add_on_qtys==null): ?>
                                                <?php ($add_on_qty=1); ?>
                                            <?php else: ?>
                                                <?php ($add_on_qty=$add_on_qtys[$key2]); ?>
                                            <?php endif; ?>

                                            <div class="font-size-sm text-body">
                                                <span><?php echo e($addon['name']); ?> :  </span>
                                                <span class="font-weight-bold">
                                                    <?php echo e($add_on_qty); ?> x <?php echo e(\App\CentralLogics\Helpers::set_symbol($addon['price'])); ?>

                                                </span>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </small>
                                </div>
                            </div>
                        </td>
                        <td>
                            <input type="number" class="form-control qty" data-key="<?php echo e($key); ?>" value="<?php echo e($cartItem['quantity']); ?>" min="1" onkeyup="updateQuantity(event)">
                        </td>
                        <td>
                            <div class="">
                                <?php echo e(\App\CentralLogics\Helpers::set_symbol($product_subtotal)); ?>

                            </div> <!-- price-wrap .// -->
                        </td>
                        <td class="justify-content-center gap-2">
                            <a href="javascript:removeFromCart(<?php echo e($key); ?>)" class="btn btn-sm btn-outline-danger square-btn form-control">
                                <i class="tio-delete"></i>
                            </a>
                        </td>
                    </tr>
                <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            </tbody>
        </table>
    </div>

    <?php
        $total = $subtotal+$addon_price;
        $discount_amount = ($discount_type=='percent' && $discount>0)?(($total * $discount)/100):$discount;
        $discount_amount += $discount_on_product;
        $total -= $discount_amount;

        $extra_discount = session()->get('cart')['extra_discount'] ?? 0;
        $extra_discount_type = session()->get('cart')['extra_discount_type'] ?? 'amount';
        if($extra_discount_type == 'percent' && $extra_discount > 0){
            $extra_discount = ($subtotal * $extra_discount) / 100;
        }
        if($extra_discount) {
            $total -= $extra_discount;
        }
    ?>
    <div class="pos-data-table p-3">
        <dl class="row">
            <dt  class="col-6"><?php echo e(translate('addon')); ?> : </dt>
            <dd class="col-6 text-right"><?php echo e(\App\CentralLogics\Helpers::set_symbol($addon_price)); ?></dd>

            <dt  class="col-6"><?php echo e(translate('subtotal')); ?> : </dt>
            <dd class="col-6 text-right"><?php echo e(\App\CentralLogics\Helpers::set_symbol($subtotal+$addon_price)); ?></dd>

            <dt  class="col-6"><?php echo e(translate('product')); ?> <?php echo e(translate('discount')); ?> :</dt>
            <dd class="col-6 text-right">- <?php echo e(\App\CentralLogics\Helpers::set_symbol(round($discount_amount,2))); ?></dd>

            <dt  class="col-6"><?php echo e(translate('extra')); ?> <?php echo e(translate('discount')); ?> :</dt>
            <dd class="col-6 text-right">
                <button class="btn btn-sm" type="button" data-toggle="modal" data-target="#add-discount">
                    <i class="tio-edit"></i>
                </button>
                - <?php echo e(\App\CentralLogics\Helpers::set_symbol($extra_discount)); ?>

            </dd>

            <dt  class="col-6"><?php echo e(translate('VAT/TAX:')); ?> : </dt>
            <dd class="col-6 text-right"><?php echo e(\App\CentralLogics\Helpers::set_symbol(round($total_tax,2))); ?></dd>

            <dt  class="col-6 border-top font-weight-bold pt-2"><?php echo e(translate('total')); ?> : </dt>
            <dd class="col-6 text-right border-top font-weight-bold pt-2"><?php echo e(\App\CentralLogics\Helpers::set_symbol(round($total+$total_tax, 2))); ?></dd>
        </dl>

        <form action="<?php echo e(route('admin.pos.order')); ?>" id='order_place' method="post">
            <?php echo csrf_field(); ?>

            <div class="pt-4 mb-4">
                <div class="text-dark d-flex mb-2"><?php echo e(translate('Paid_By')); ?> :</div>
                <ul class="list-unstyled option-buttons">
                    <li>
                        <input type="radio" id="cash" value="cash" name="type" hidden="" checked="">
                        <label for="cash" class="btn btn-bordered px-4 mb-0"><?php echo e(translate('Cash')); ?></label>
                    </li>
                    <li>
                        <input type="radio" value="card" id="card" name="type" hidden="">
                        <label for="card" class="btn btn-bordered px-4 mb-0"><?php echo e(translate('Card')); ?></label>
                    </li>
                    <li id="pay_after_eating_li" style="display: <?php echo e(session('table_id') ?  '' : 'none'); ?>">
                        <input type="radio" value="pay_after_eating" id="pay_after_eating" name="type" hidden="">
                        <label for="pay_after_eating" class="btn btn-bordered px-4 mb-0"><?php echo e(translate('pay_after_eating')); ?></label>
                    </li>
                </ul>
            </div>



















            <div class="row mt-4 gy-2">
                <div class="col-md-6">
                    <a href="#" class="btn btn-outline-danger btn--danger btn-block" onclick="emptyCart()"><i
                            class="fa fa-times-circle "></i> <?php echo e(translate('Cancel_Order')); ?> </a>
                </div>
                <div class="col-md-6">
                        <button type="submit" class="btn btn-primary btn-block">
                            <i class="fa fa-shopping-bag"></i>
                            <?php echo e(translate('Place_Order')); ?>

                        </button>
                </div>
            </div>
        </form>
    </div>

    <div class="modal fade" id="add-discount" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo e(translate('update_discount')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="<?php echo e(route('admin.pos.discount')); ?>" method="post" class="row mb-0">
                        <?php echo csrf_field(); ?>
                        <div class="form-group col-sm-6">
                            <label class="text-dark"><?php echo e(translate('discount')); ?></label>
                            <input type="number" class="form-control" name="discount" value="<?php echo e(session()->get('cart')['extra_discount'] ?? 0); ?>">
                        </div>
                        <div class="form-group col-sm-6">
                            <label class="text-dark"><?php echo e(translate('type')); ?></label>
                            <select name="type" class="form-control">
                                <option
                                    value="amount" <?php echo e($extra_discount_type=='amount'?'selected':''); ?>><?php echo e(translate('amount')); ?>

                                    (<?php echo e(\App\CentralLogics\Helpers::currency_symbol()); ?>)
                                </option>
                                <option
                                    value="percent" <?php echo e($extra_discount_type=='percent'?'selected':''); ?>><?php echo e(translate('percent')); ?>

                                    (%)
                                </option>
                            </select>
                        </div>
                        <div class="d-flex justify-content-end col-sm-12">
                            <button class="btn btn-sm btn-primary" type="submit"><?php echo e(translate('submit')); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


























    <div class="modal fade" id="add-tax" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo e(translate('update_tax')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="<?php echo e(route('admin.pos.tax')); ?>" method="POST" class="row">
                        <?php echo csrf_field(); ?>
                        <div class="form-group col-12">
                            <label for=""><?php echo e(translate('tax')); ?> (%)</label>
                            <input type="number" class="form-control" name="tax" min="0">
                        </div>

                        <div class="form-group col-sm-12">
                            <button class="btn btn-sm btn-primary" type="submit"><?php echo e(translate('submit')); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>















































<?php /**PATH /home2/cocoeatz/manage.cocoeats.co.uk/resources/views/admin-views/pos/_cart.blade.php ENDPATH**/ ?>