<?php $__env->startSection('title', translate('Settings')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="d-flex flex-wrap gap-2 align-items-center mb-4">
            <h2 class="h1 mb-0 d-flex align-items-center gap-2">
                <img width="20" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/icons/business_setup2.png')); ?>" alt="">
                <span class="page-header-title">
                    <?php echo e(translate('business_setup')); ?>

                </span>
            </h2>
        </div>
        <!-- End Page Header -->

        <!-- Inine Page Menu -->
        <?php echo $__env->make('admin-views.business-settings.partials._business-setup-inline-menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


        <div class="row g-2">
            <!-- Delivery Fee Steup -->
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="mb-0">
                            <i class="tio-settings"></i>
                            <?php echo e(translate('Delivery_Fee_Steup')); ?>

                        </h4>
                    </div>
                    <div class="card-body">
                        <form action="<?php echo e(route('admin.business-settings.restaurant.update-delivery-fee')); ?>" method="post"
                              enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            
                            <div class="row">
                                <div class="col-md-6">
                                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('delivery_management')); ?>
                                    <div class="form-group d-flex align-items-center gap-2">
                                        <input type="radio" name="shipping_status" value="1"
                                               <?php echo e($config['status']==1?'checked':''); ?> id="shipping_by_distance_status">
                                        <label for="shipping_by_distance_status" class="text-dark font-weight-bold mb-0"><?php echo e(translate('delivery_charge_by_distance')); ?></label>
                                    </div>

                                    <div class="form-group">
                                        <div class="form-group">
                                            <label><?php echo e(translate('Minimum delivery Charge')); ?> </label><br>
                                            <input type="number" step=".01" class="form-control"
                                                   name="min_shipping_charge"
                                                   value="<?php echo e($config['min_shipping_charge']); ?>"
                                                   id="min_shipping_charge" <?php echo e($config['status']==0?'disabled':''); ?> >
                                        </div>
                                        <div class="form-group">
                                            <label><?php echo e(translate('delivery Charge / Kilometer')); ?></label><br>
                                            <input type="number" step=".01" class="form-control" name="shipping_per_km"
                                                   value="<?php echo e($config['shipping_per_km']); ?>"
                                                   id="shipping_per_km" <?php echo e($config['status']==0?'disabled':''); ?>>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <div class="form-group d-flex align-items-center gap-2">
                                            <input type="radio" name="shipping_status" value="0"
                                                   <?php echo e($config['status']==0?'checked':''); ?> id="default_delivery_status">
                                            <label for="default_delivery_status" class="text-dark font-weight-bold mb-0"><?php echo e(translate('default_delivery_charge')); ?></label>
                                        </div>
                                        <div class="form-group">
                                            <?php ($delivery=\App\Model\BusinessSetting::where('key','delivery_charge')->first()->value); ?>
                                            <label class=""><?php echo e(translate('delivery_Charge')); ?> </label>
                                            <input type="number" min="0" step=".01" name="delivery_charge" value="<?php echo e($delivery); ?>"
                                                   class="form-control" placeholder="<?php echo e(translate('EX: 100')); ?>" required
                                                   <?php echo e($config['status']==1?'disabled':''); ?> id="delivery_charge">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="d-flex justify-content-end gap-3">
                                <button type="reset" class="btn btn-secondary"><?php echo e(translate('reset')); ?></button>
                                <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>" onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>" class="btn btn-primary"><?php echo e(translate('submit')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        <?php ($time_zone=\App\Model\BusinessSetting::where('key','time_zone')->first()); ?>
        <?php ($time_zone = $time_zone->value ?? null); ?>
        $('[name=time_zone]').val("<?php echo e($time_zone); ?>");

        <?php ($language=\App\Model\BusinessSetting::where('key','language')->first()); ?>
        <?php ($language = $language->value ?? null); ?>
        let language = <?php echo($language); ?>;
        $('[id=language]').val(language);

        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#viewer').attr('src', e.target.result);
                }

                reader.readAsDataURL(input.files[0]);
            }
        }

        $("#customFileEg1").change(function () {
            readURL(this);
        });
        $("#language").on("change", function () {
            $("#alert_box").css("display", "block");
        });
    </script>

    <script>

        function currency_symbol_position(route) {
            $.get({
                url: route,
                contentType: false,
                processData: false,
                beforeSend: function () {
                    $('#loading').show();
                },
                success: function (data) {
                    toastr.success(data.message);
                },
                complete: function () {
                    $('#loading').hide();
                },
            });
        }

        $(document).on('ready', function () {
            <?php ($country=\App\CentralLogics\Helpers::get_business_settings('country')??'BD'); ?>
            $("#country option[value='<?php echo e($country); ?>']").attr('selected', 'selected').change();
        })
    </script>

    <script>
        $('#shipping_by_distance_status').on('click',function(){
            $("#delivery_charge").prop('disabled', true);
            $("#min_shipping_charge").prop('disabled', false);
            $("#shipping_per_km").prop('disabled', false);
        });

        $('#default_delivery_status').on('click',function(){
            $("#delivery_charge").prop('disabled', false);
            $("#min_shipping_charge").prop('disabled', true);
            $("#shipping_per_km").prop('disabled', true);
        });
    </script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home2/cocoeatz/manage.cocoeats.co.uk/resources/views/admin-views/business-settings/restaurant/delivery-fee.blade.php ENDPATH**/ ?>